//  @import com.hedgehoglab.application.model.BaseModel;

/**
 *
 * @param scope
 */

function UsersModel(scope){
    BaseModel.call(this,scope);
   var _model=null;
    var _revserse_lookup=null;

   this.model=function(model){                  
        if(arguments.length>0){
			_model=model;
            
            this.raise_event('model_changed',{
				model: _model
			});
		}
		return _model;
	};


    this.user_by_id=function(id,model){
        if(!_revserse_lookup){
            _revserse_lookup={};
        }

        $.each(_model.user,function(i,n){
            _revserse_lookup[n.id]={index:i,item:n};
        })

        return _revserse_lookup[id].item;
    };


    this.add_note_to_contact=function(index,note){
        //alert(index);
        _contact=_model.contact[index];
        if(!_contact.note || _contact.note[0]==null){
            _contact.note=[];
        }

        note.createdAt=(new Date()).toString("yyyy-MM-ddTHH:mm:ssZ");//Date.parse(new Date()).toString("yyyy-MM-ddTHH:mm:ssZ")
        note.contact_id=_contact.id;
        _contact.note.unshift(note);
        
        //alert($.toJSON(_contact));
        this.raise_event('on_note_add_to_contact',{
            notes:note
        });
    };



};